; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_INITIALISIERUNG:	
	; auf EINGANG		
	cbi (TASTE_PLUS_DDR),(TASTE_PLUS_PIN_NR)
	cbi (TASTE_MINUS_DDR),(TASTE_MINUS_PIN_NR)
	; PULL-UP ein		
	sbi (TASTE_PLUS_PORT),(TASTE_PLUS_PIN_NR)
	sbi (TASTE_MINUS_PORT),(TASTE_MINUS_PIN_NR)
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_ABFRAGE:
	clr temp
	; Taste "PLUS"gedrckt ?		
	sbis (TASTE_PLUS_PIN),(TASTE_PLUS_PIN_NR)				; springe, wenn BIT(PIN) high	
	SBR temp,1
	; Taste "MINUS"gedrckt ?		
	sbis (TASTE_MINUS_PIN),(TASTE_MINUS_PIN_NR)				; springe, wenn BIT(PIN) high	
	SBR temp,2
	; speichern						
	STS(adr_TASTE),temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_AUSWERTUNG:
	LDS temp,(adr_TASTE)
	cpi temp,1
	breq TASTATUR_AUSWERTUNG_1
	cpi temp,2
	breq TASTATUR_AUSWERTUNG_2
	cpi temp,3
	breq TASTATUR_AUSWERTUNG_3
	ret
;-------------------------------------------------------------------------------
TASTATUR_AUSWERTUNG_1:
	LDS temp1,(adr_KTY_OFFSET_L)	
	LDS temp2,(adr_KTY_OFFSET_H)
	add temp1,EINS
	adc temp2,NULL
	STS(adr_KTY_OFFSET_L),temp1
	STS(adr_KTY_OFFSET_H),temp2
	rcall EEPROM_KONFIGURATION_SICHERN
	ret
TASTATUR_AUSWERTUNG_2:
	LDS temp1,(adr_KTY_OFFSET_L)	
	LDS temp2,(adr_KTY_OFFSET_H)
	sub temp1,EINS
	sbc temp2,NULL
	STS(adr_KTY_OFFSET_L),temp1
	STS(adr_KTY_OFFSET_H),temp2
	rcall EEPROM_KONFIGURATION_SICHERN
	ret
TASTATUR_AUSWERTUNG_3:
	STS(adr_KTY_OFFSET_L),NULL
	STS(adr_KTY_OFFSET_H),NULL
	rcall EEPROM_KONFIGURATION_SICHERN
TASTATUR_AUSWERTUNG_3_s:
	; neustart ber WDR			
	rjmp TASTATUR_AUSWERTUNG_3_s
; ##############################################################################
; ##############################################################################
; ##############################################################################
TASTATUR_WAIT:
	ldi temp9,255
TASTATUR_WAIT_s:
	rcall TASTATUR_ABFRAGE
	LDS temp,(adr_TASTE)
	tst temp
	breq TASTATUR_WAIT_w
	STS(adr_TASTE),NULL
	ret
TASTATUR_WAIT_w:
	rcall wait_10ms
	dec temp9
	brne TASTATUR_WAIT_s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
